KDE 4.7 PyKDE API Reference

- KDE's Python API

# KArrowButton Class Reference

`from PyKDE4.kdeui import *`

Inherits: QPushButton → QAbstractButton → QWidget → QObject

## Detailed Description

Deprecated:
  Use a QToolButton with the arrowType property set instead

Draws a button with an arrow.

Draws a button which shows an arrow pointing into a certain direction. The arrow's alignment on the button depends on the direction it's pointing to, e.g. a left arrow is aligned at the left border, a upwards arrow at the top border. This class honors the currently configured KStyle when drawing the arrow.

"KDE Arrow Buttons"

Author:
  Frerich Raabe

## Methods
| __init__ (self, QWidget parent=0, Qt::ArrowType arrow=Qt.UpArrow)
int | arrowTp (self)
Qt::ArrowType | arrowType (self)
| paintEvent (self, QPaintEvent a0)
| setArrowTp (self, int tp)
| setArrowType (self, Qt::ArrowType a)
QSize | sizeHint (self)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0,
|  | Qt::ArrowType | arrow=Qt.UpArrow
| ) |  |  |

Constructs an arrow button.

Parameters:

  | parent | This button's parent
  | arrow | The direction the arrrow should be pointing in

int arrowTp | ( |  | self ) |

Qt::ArrowType arrowType | ( |  | self ) |

Returns the arrow type

paintEvent | ( | self, |
|  | QPaintEvent | a0
| ) |  |  |

Reimplemented from QPushButton.

setArrowTp | ( | self, |
|  | int | tp
| ) |  |  |

setArrowType | ( | self, |
|  | Qt::ArrowType | a
| ) |  |  |

Defines in what direction the arrow is pointing to. Will repaint the button if necessary.

Parameters:

  | a | The direction this arrow should be pointing in

QSize sizeHint | ( |  | self ) |

Reimplemented from QPushButton.